import request from '@/utils/request'

// 查询自然人出资信息列表
export function listContributions(query) {
  return request({
    url: '/basicData/xcrNaturalPersonContributions/findByPage',
    method: 'get',
    params: query
  })
}

// 查询自然人出资信息详细
export function getContributions(xhCodeId) {
  return request({
    url: '/basicData/xcrNaturalPersonContributions/' + xhCodeId,
    method: 'get'
  })
}

// 新增自然人出资信息
export function addContributions(data) {
  return request({
    url: '/basicData/xcrNaturalPersonContributions',
    method: 'post',
    data: data
  })
}

// 修改自然人出资信息
export function updateContributions(data) {
  return request({
    url: '/basicData/xcrNaturalPersonContributions',
    method: 'put',
    data: data
  })
}

// 删除自然人出资信息
export function delContributions(xhCodeId) {
  return request({
    url: '/basicData/xcrNaturalPersonContributions/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delContributionsBatch(ids) {
  return request.post('/basicData/xcrNaturalPersonContributions/delete',ids)
}
